Subject: Re: bug#16238: 24.3.50; pcase docs (and possibly pcase) wrong

From: Tassilo Horn <[email-masked]>
Date: Tue, 24 Dec 2013 16:34:31 +0100

Stefan Monnier <[email-masked]> writes:

>> (defun evaluate (exp env)
>>   (pcase exp
>>     (`(add ,x ,y)         (+ (evaluate x env) (evaluate y env)))
>>     (`(call ,fun ,arg)    (funcall (evaluate fun) (evaluate arg env)))
>>                                                 `--- HERE!
>
> Indeed, feel free to fix it.

Done.

>> But shouldn't `arg' be substituted with 'x and `body' with '(add 1
>> x)?
>
> No, the code is meant for lexical-binding.

Ok, I see.  I've also mentioned that in the docs, though I guess you can
refine that comment to be more specific.

Bye,
Tassilo